> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update VLAN

> Update a Virtual Network.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /virtual_networks/{vlan_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks/{vlan_id}:
    patch:
      tags:
        - Private Networks
      summary: Update VLAN
      description: |
        Update a Virtual Network.
      operationId: update-virtual-network
      parameters:
        - name: vlan_id
          in: path
          description: The Virtual Network ID
          required: true
          examples:
            Success:
              value: vlan_VaNmodjeObE8W
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - virtual_networks
                    attributes:
                      type: object
                      properties:
                        tags:
                          type: array
                          items:
                            type: string
                          default: []
                        description:
                          type: string
                          default: Test virtual network update
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: vlan_VaNmodjeObE8W
                    type: virtual_networks
                    attributes:
                      tags:
                        - tag_RjLvG6oe84IAw7BxxEGaFAXK4l4
                        - tag_lpPQ21kXEYfb9az3jRoVIVw4RBk
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - virtual_networks
                    attributes:
                      type: object
                      properties:
                        tags:
                          type: array
                          items:
                            type: string
                          default: []
                        description:
                          type: string
                          default: Test virtual network update
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: vlan_VaNmodjeObE8W
                    type: virtual_networks
                    attributes:
                      tags:
                        - tag_RjLvG6oe84IAw7BxxEGaFAXK4l4
                        - tag_lpPQ21kXEYfb9az3jRoVIVw4RBk
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: vlan_VaNmodjeObE8W
                      type: virtual_networks
                      attributes:
                        tags:
                          - id: tag_RjLvG6oe84IAw7BxxEGaFAXK4l4
                            name: Tal-Elmar
                            description: Placeat non sit velit.
                            color: '#e5e53e'
                          - id: tag_lpPQ21kXEYfb9az3jRoVIVw4RBk
                            name: Great Eagle
                            description: Voluptatem aut in corrupti.
                            color: '#502f50'
                        vid: 2040
                        name: cupiditate
                        description: Perspiciatis molestiae laborum quae.
                        site: SAO
                        created_at: null
                    meta: {}
              schema:
                $ref: '#/components/schemas/virtual_network'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.update(vlan_id="vlan_VaNmodjeObE8W", data={
                    "id": "vlan_VaNmodjeObE8W",
                    "type": latitudesh_python_sdk.UpdateVirtualNetworkPrivateNetworksType.VIRTUAL_NETWORKS,
                    "attributes": {
                        "tags": [
                            "tag_RjLvG6oe84IAw7BxxEGaFAXK4l4",
                            "tag_lpPQ21kXEYfb9az3jRoVIVw4RBk",
                        ],
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.Update(ctx, \"vlan_VaNmodjeObE8W\", operations.UpdateVirtualNetworkPrivateNetworksRequestBody{\n        Data: operations.UpdateVirtualNetworkPrivateNetworksData{\n            ID: \"vlan_VaNmodjeObE8W\",\n            Type: operations.UpdateVirtualNetworkPrivateNetworksTypeVirtualNetworks,\n            Attributes: &operations.UpdateVirtualNetworkPrivateNetworksAttributes{\n                Tags: []string{\n                    \"tag_RjLvG6oe84IAw7BxxEGaFAXK4l4\",\n                    \"tag_lpPQ21kXEYfb9az3jRoVIVw4RBk\",\n                },\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetwork != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.update({
                vlanId: "vlan_VaNmodjeObE8W",
                requestBody: {
                  data: {
                    id: "vlan_VaNmodjeObE8W",
                    type: "virtual_networks",
                    attributes: {
                      tags: [
                        "tag_RjLvG6oe84IAw7BxxEGaFAXK4l4",
                        "tag_lpPQ21kXEYfb9az3jRoVIVw4RBk",
                      ],
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_network:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/virtual_network_data'
        meta:
          type: object
    virtual_network_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_networks
        attributes:
          type: object
          properties:
            vid:
              type: integer
              description: vlan ID of the virtual network
            name:
              type: string
              description: Name of the virtual network
            description:
              type: string
              description: Description of the virtual network
            project:
              $ref: '#/components/schemas/project_include'
            region:
              type: object
              properties:
                city:
                  type: string
                country:
                  type: string
                site:
                  type: object
                  properties:
                    id:
                      type: string
                    facility:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
            created_at:
              type: string
              format: date-time
              nullable: true
            assignments_count:
              type: integer
              description: Amount of devices assigned to the virtual network
            tags:
              type: array
              description: Tags associated with the virtual network
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  color:
                    type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````